/*
 * Copyright (C) 2022 - Florindo Smilari (spherIC)
 */
package ch.spherIC.recurvebowsight.model;

import android.os.Parcelable;

/**
 * @author F. Smilari
 */
public interface IArcherySetup extends IEntity, Parcelable {

    ISight getSight();

    String getSightName();

    void setSight(ISight sight);

    IRiser getRiser();

    String getRiserName();

    void setArrow(IArrow arrow);

    IArrow getArrow();

    String getArrowName();

    void setRiser(IRiser riser);

    Double getArrowDiameter();

    void setArrowDiameter(Double diameter);

    Double getArrowCw();

    void setArrowCw(Double cw);

    Double getArrowWeight();

    void setArrowWeight(Double weight);

    Double getArrowV0();

    void setArrowV0(Double v0);

    Double getTargetCenterHeight();

    void setTargetCenterHeight(Double targetCenterHeight);

    Double getBowPullout();

    void setBowPullout(Double bowPullout);

    Double getArrowNockHeight();

    void setArrowNockHeight(Double bowPullout);

    Double getHNA();

    void setHNA(Double bowPullout);

    Double getDeltaTime();

    void setDeltaTime(Double bowPullout);

    Double getCalcPrecision();

    void setCalcPrecision(Double bowPullout);

    Double getSightVertSkalaMiddle();

    void setSightVertSkalaMiddle(Double middle);

    Double getSightHorzSetting();

    void setSightHorzSetting(Double middle);

    String getName();

    void setName(String name);

    Double getNockRaising();

    void setNockRaising(Double nockRaising);

    Double getBraceHeight();

    void setBraceHeight(Double braceHeight);
}
